Deprecated components

Here is a list of deprecated components.

These components are not maintained anymore, and must not be use in new code. They normally always have a substitute component, that does not have necessarily a compatible interface.

Interpreter enhancements

Component

Description Deprecation version Substitute
gb.option GNU-style command-line arguments parser gb.args

Communication & Network

Component

Description Deprecation version Substitute
gb.gui.qt.webkit QT4/QT5 WebKit switcher component 3.8 gb.gui.webview
gb.qt4.webkit Web browser component based on WebKit for gb.qt4 gb.qt4.webview
gb.qt5.webkit Web browser component based on WebKit for gb.qt5 3.8 gb.qt5.webview

Web development

Component

Description Deprecation version Substitute
gb.web.form Web applications GUI component 3.9 gb.web.gui

XML programming

Component

Description Deprecation version Substitute
gb.libxml Old XML tools based on libxml 3.2 gb.xml

Graphical User Interface

Component

Description Deprecation version Substitute
gb.pdf PDF renderer based on Poppler gb.poppler
gb.report Report designer gb.report2

Desktop

Component

Description Deprecation version Substitute
gb.desktop.gnome.keyring Gnome keyring support for desktop management component 3.6 None

SDL programming

Component

Description Deprecation version Substitute
gb.sdl SDL 1.2 library interface gb.sdl2
gb.sdl.sound SDL 1.2 Sound library interface gb.sdl2.audio

Multimedia

Component

Description Deprecation version Substitute
gb.v4l Video capture based on Video4Linux unmaintained gb.media

See also